Locale::Po4a::Docbook(3pm)

NOMBRE
Locale::Po4a::Docbook - Convierte documentos DocBook XML desde/a ficheros PO.

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en ámbitos dónde no previstos, como la documentación.

Locale::Po4a::Docbook es un módulo que asiste en la traducción de documentación en formato DocBook XML a otros lenguajes (humanos).

ESTADO DE ESTE MODULO
Este módulo es completamente funcional, ya que se basa en el módulo Locale::Po4a::Xml. Sólo define las etiquetas y atributos que se pueden traducir.

El único problema conocido es que aún no trata las entidades, y eso incluye a las entidades de inclusión de ficheros, pero en la mayoría de casos puede traducir esos ficheros por separado (excepto los típicos ficheros de entidades), y generalmente es mejor mantenerlos separados.

ANULACIÓN DEL COMPORTAMIENTO PREDEFINIDO CON OPCIONES DE LA LÍNEA DE ÓRDENES
El comportamiento predefinido de los módulos proporcionados por el sistema está ajustado para ofrecer un comportamiento prudente.

Por ejemplo, el valor predefinido de la etiqueta <author> está ajustado para aparecer bajo <para>. Pero puede que lo utilice solo bajo <bookinfo>. Para este caso, puede desear una traducción independiente para cada autor.

Si no le satisface el comportamiento predefinido del módulo xml y sus módulos derivados, puede introducir opciones de línea de órdenes para modificar su comportamiento. Por ejemplo, puede añadir lo siguiente en el fichero de configuración de po4a.

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Esto anula el comportamiento predefinido de <bookinfo> y <author>, define <bookinfo> y <author> para separar el flujo de datos de entrada en estas etiquetas, define <bookinfo> para no traducir su contenido etiquetado, y define <author> para traducir su contenido etiquetado.

VÉASE TAMBIÉN
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTORES
 Jordi Vilalta <jvprat@gmail.com>

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Esto es software libre; puede redistribuirlo y/o modificarlo bajo las condiciones de la licencia GPL (consulte el fichero COPYING).